<?php

namespace App\Controller\Admin;


use App\Entity\Common\TaxRate;
use App\Entity\Site\Page;
use App\Entity\User\GroupUser;
use App\Entity\User\User;
use EasyCorp\Bundle\EasyAdminBundle\Config\Assets;
use EasyCorp\Bundle\EasyAdminBundle\Config\Crud;
use EasyCorp\Bundle\EasyAdminBundle\Config\MenuItem;
use Lc\SovBundle\Controller\Admin\DashboardController as SovDashboardController;

class DashboardController extends SovDashboardController
{

    public function configureMenuItems(): iterable
    {
        yield MenuItem::linkToDashboard('dashboard', 'circle');

        yield MenuItem::subMenu('user.label', 'user')->setSubItems(
                [
                        MenuItem::linkToCrud('user.childs.index', '', User::class),
                ]
        );

        yield MenuItem::linkToCrud('page', 'copy', Page::class);

        yield MenuItem::subMenu('account.label', 'user')->setSubItems(
                [
                        MenuItem::linkToRoute('account.childs.profile', '', 'sov_admin_account_profile'),
                        MenuItem::linkToRoute('account.childs.password', '', 'sov_admin_account_password'),
                ]
        );
    }
}
